ONVIF::Device::Types::RotateOptions(3)

NAME
ONVIF::Device::Types::RotateOptions

DESCRIPTION
Perl data type class for the XML Schema defined complexType RotateOptions from the namespace http://www.onvif.org/ver10/schema.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   Mode

•   DegreeList

•   Extension

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # ONVIF::Device::Types::RotateOptions
   Mode => $some_value, # RotateMode
   DegreeList =>  { # ONVIF::Device::Types::IntList
     Items =>  $some_value, # int
   },
   Extension =>  { # ONVIF::Device::Types::RotateOptionsExtension
   },
 },

AUTHOR
Generated by SOAP::WSDL